# $Revision: 1.10 $, $Date: 2005/08/13 19:54:30 $
Summary:	gpsdrive - a GPS based navigation tool
Summary(pl):	gpsdrive - narzdzie do nawigacji oparte o GPS
Name:		gpsdrive
Version:	2.09
Release:	2
License:	GPL
Vendor:		Fritz Ganter <ganter@ganter.at>
Group:		Applications/Communications
Source0:	http://gpsdrive.kraftvoll.at/%{name}-%{version}.tar.gz
# Source0-md5:	eaa52cb220f3d10312a1046dd47126bb
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gtk+2-devel >= 1:2.0.6
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gpsdrive is a map-based navigation system. It displays your position
on a zoomable map provided from a NMEA-capable GPS receiver. The maps
are autoselected for the best resolution, depending of your position,
and the displayed image can be zoomed. Maps can be downloaded from the
Internet with one mouse click. The program provides information about
speed, direction, bearing, arrival time, actual position, and target
position. Speech output is also available. MySQL is supported. See
http://gpsdrive.kraftvoll.at for new releases.

%description -l pl
Gpsdrive jest bazujcym na mapie systemem nawigacyjnym. Wywietla
pozycje podawan przez odbiornik GPS z obsug NMEA na skalowalnej
mapie. Mapy s automatycznie dobierane dla uzyskania najlepszej
rozdzielczoci w zalenoci od pozycji, a wywietlany obraz mona
zblia. Pobieranie map z Internetu odbywa si jednym klikniciem
myszy. Program informuje o prdkoci, kierunku, azymucie, czasie
przybycia, aktualnej pozycji i pozycji punktu docelowego. Dostpna
jest take informacja gosowa. Obsugiwany jest MySQL.
Sprawd na http://gpsdrive.kraftvoll.at czy jest nowsza wersja.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc GPS-receivers AUTHORS TODO README README.gpspoint2gspdrive FAQ.gpsdrive README.SQL create.sql NMEA.txt wp2sql README.kismet README.nasamaps
%lang(es) %doc LEEME
%lang(fr) %doc LISEZMOI LISEZMOI.kismet LISEZMOI.SQL FAQ.gpsdrive.fr

%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_datadir}/gpsdrive
%{_datadir}/gpsdrive/*.png
%{_datadir}/gpsdrive/*.gif
%{_datadir}/gpsdrive/*.jpg
%{_desktopdir}/*
%{_pixmapsdir}/*.png

%{_mandir}/man1/gpsdrive.1*
%lang(de) %{_mandir}/de/man1/gpsdrive.1*
%lang(es) %{_mandir}/es/man1/gpsdrive.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gpsdrive.spec,v $
Revision 1.10  2005/08/13 19:54:30  qboosh
- rename locale no->nb; release 2

Revision 1.9  2005/05/30 12:36:50  saq
- fix BR

Revision 1.8  2005/05/29 19:58:28  pbern
- add BR

Revision 1.7  2005/05/29 14:56:23  undefine
- up to 2.09 by Krystian T <tomczyk@op.onet.pl>

Revision 1.6  2005/05/29 14:49:59  undefine
- refresh config.sub on amd64
- patch to use assert

Revision 1.5  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:48:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/22 11:39:40  qboosh
- use configure macro, fixed libdir contents, added ldconfig
- removed INSTALL (generic) and COPYING (just GPL) from doc
- BR: libstdc++-devel

Revision 1.2  2003/04/21 01:16:22  qboosh
- moved configure from prep to build (maybe use macro if possible?)
- marked manuals with lang, not doc (they are doc already), don't force .gz
- use find_lang for locale files (not sure about the name)

Revision 1.1  2003/04/20 08:37:20  newrom
- SPEC from http://gpsdrive.kraftvoll.at
- initial release in PLD
